Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  POLYLINE aus Block löschen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   POLYLINE aus Block löschen (218 mal gelesen)
HPW
Mitglied
Holz-Techniker


Sehen Sie sich das Profil von HPW an!   Senden Sie eine Private Message an HPW  Schreiben Sie einen Gästebucheintrag für HPW

Beiträge: 70
Registriert: 11.01.2005

Dell Precision T3610
Autocad 2016

erstellt am: 09. Sep. 2017 10:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

Ich möchte zum Bereinigen manche POLYLINE's aus Blöcken löschen.
Beim Durchlesen des Blocks bekomme ich so etwas angezeigt.

Zitat:

Entdata: ((-1 . <Objektname: 7e253868>) (0 . POLYLINE) (330 . <Objektname:
7e253378>) (5 . 35ED) (100 . AcDbEntity) (67 . 0) (8 . WANGE) (100 .
AcDb2dPolyline) (66 . 1) (10 0.0 0.0 0.0) (70 . 1) (40 . 0.0) (41 . 0.0) (210
-1.0 0.0 0.0) (71 . 0) (72 . 0) (73 . 0) (74 . 0) (75 . 0))
Entdata: ((-1 . <Objektname: 7e253870>) (0 . VERTEX) (330 . <Objektname:
7e253868>) (5 . 35EE) (100 . AcDbEntity) (67 . 0) (8 . WANGE) (100 .
AcDbVertex) (100 . AcDb2dVertex) (10 0.0 0.0 0.0) (40 . 0.0) (41 . 0.0) (42 .
0.0) (70 . 0) (50 . 0.0))
Entdata: ((-1 . <Objektname: 7e253878>) (0 . VERTEX) (330 . <Objektname:
7e253868>) (5 . 35EF) (100 . AcDbEntity) (67 . 0) (8 . WANGE) (100 .
AcDbVertex) (100 . AcDb2dVertex) (10 446.0 0.0 0.0) (40 . 0.0) (41 . 0.0) (42 .
0.0) (70 . 0) (50 . 0.0))
Entdata: ((-1 . <Objektname: 7e253880>) (0 . VERTEX) (330 . <Objektname:
7e253868>) (5 . 35F0) (100 . AcDbEntity) (67 . 0) (8 . WANGE) (100 .
AcDbVertex) (100 . AcDb2dVertex) (10 446.0 2199.0 0.0) (40 . 0.0) (41 . 0.0)
(42 . 0.0) (70 . 0) (50 . 0.0))
Entdata: ((-1 . <Objektname: 7e253888>) (0 . VERTEX) (330 . <Objektname:
7e253868>) (5 . 35F1) (100 . AcDbEntity) (67 . 0) (8 . WANGE) (100 .
AcDbVertex) (100 . AcDb2dVertex) (10 0.0 2199.0 0.0) (40 . 0.0) (41 . 0.0) (42
. 0.0) (70 . 0) (50 . 0.0))
Entdata: ((-1 . <Objektname: 7e253890>) (0 . SEQEND) (330 . <Objektname:
7e253868>) (5 . 35F2) (100 . AcDbEntity) (67 . 0) (8 . WANGE) (-2 .
<Objektname: 7e253868>:nozwinker ;

Bei meinen Löschversuchen mit:

Code:

(vla-delete (vlax-ename->vla-object CurrObject))


kommt aber:
Fehler: Automatisierungsfehler Kann nicht von Caller gelöscht werden

Wie löscht man mit Lisp eine Polyline aus einem Block?

Grüsse,
Hans-Peter

------------------
Hans-Peter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HPW
Mitglied
Holz-Techniker


Sehen Sie sich das Profil von HPW an!   Senden Sie eine Private Message an HPW  Schreiben Sie einen Gästebucheintrag für HPW

Beiträge: 70
Registriert: 11.01.2005

Dell Precision T3610
Autocad 2016

erstellt am: 09. Sep. 2017 11:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

Wenn ich nur die VERTEX lösche, läuft der Lisp-Code durch und die POLYLINE sind weg. Kann man das so machen?

Grüsse,
Hans-Peter

------------------
Hans-Peter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1592
Registriert: 11.10.2004

Window 8.1
ACAD 2005-2016
CIVIL 2010 - 2016
BricsCAD V13-V15
Intel(R) Core(TM)i7-4700HQ CPU @ 2.40GHz 2.40 GHz
16.0GB RAM
NVIDIA GeForce GTX 850M

erstellt am: 10. Sep. 2017 15:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für HPW 10 Unities + Antwort hilfreich

Hallo Hans-Peter,
nur der Vertex's würde ich nicht weglöschen, ich weiß nicht, ob dann ein Polylinien-Objekt ohne Stützpunkte erhalten bleibt.

Versuche es mal mit einer vlax-for-Schleife, damit die Objekte der Blockdefinition durchlaufen, wenn der Objektname = AcDb2DPolyline", dann löschen.

Der folgende Code ist ungetestet, sollte aber für einen Block "TEST" funktionieren:

Code:

(defun c:test ( / BLOCKNAME)
  (setq BlockName "TEST")
  (vlax-for
    ITEM
    (vla-item
      (vla-get-blocks
(vla-get-activedocument
  (vlax-get-acad-object)))
      BlockName)
    (if
      (=
(vla-get-Objectname ITEM)
"AcDb2dPolyline")
      (vla-delete ITEM))))

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Liniensignaturen Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de